import { doPost, doGet } from './fetch'
const prefix = '/api/settle_fl/thd/';


export const getSwitch = (params, callback, errorback) => {
    return doGet(`v1/switch`, params, prefix, callback, errorback)
}

export const getPatientInfoDetail = (params, callback, errorback) => {
    return doGet(`v1/patientInfoDetail`, params, prefix, callback, errorback)
}

export const getPatientCnDrgInfo = (params, callback, errorback) => {
    return doGet(`v1/patientCnDrgInfo`, params, prefix, callback, errorback)
}

export const getPatientInfo = (params, callback, errorback) => {
    return doGet(`v1/patientInfo`, params, prefix, callback, errorback)
}

export const getFeeDetail = (params, callback, errorback) => {
    return doGet(`v1/feeDetail`, params, prefix, callback, errorback)
}

export const getDiagnosisDictionary = (params, callback, errorback) => {
    return doGet(`v1/diagnosisDictionary`, params, prefix, callback, errorback)
}


// export const getUserChangeRole = (params, callback, errorback) => {
//     doPost(`/user/userChangeRole`, params, prefix,  callback, errorback)
// }
